---
sidebar_position: 3
description: Delete directory and other functions to work with FTP in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, FTP]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Delete directory
 Deletes an existing directory



`Function DeleteDirectory(Val Connection, Val Path) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Connection | --conn | Arbitrary | &#x2714; | Existing connection or connection configuration |
  | Path | --path | String | &#x2714; | Path to directory to delete |

  
  Returns:  Map Of KeyAndValue - Processing result

:::tip
FTP Command: `RMD`
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Host     = "172.33.0.10";
    Port     = "21";
    Login    = "bayselonarrend";
    Password = "12we...";

    UseProxy = True;
    FTPS     = True;

    ProxySettings = Undefined;
    TLSSettings   = Undefined; // FTPS

    FTPSettings = OPI_FTP.GetConnectionSettings(Host, Port, Login, Password);

    If UseProxy Then

        ProxyType = "http"; // http, socks5, socks4

        ProxyAddress  = "127.0.0.1";
        ProxyPort     = "8071";
        ProxyLogin    = "proxyuser";
        ProxyPassword = "12we...";

        ProxySettings = OPI_FTP.GetProxySettings(ProxyAddress, ProxyPort, ProxyType, ProxyLogin, ProxyPassword);

    EndIf;

    If FTPS Then
        TLSSettings = OPI_FTP.GetTLSSettings(True);
    EndIf;

    Connection = OPI_FTP.CreateConnection(FTPSettings, ProxySettings, TLSSettings);

    If OPI_FTP.IsConnector(Connection) Then
        Result = OPI_FTP.DeleteDirectory(Connection, "new_dir/another_one");
    Else
        Result = Connection; // Error of connection
    EndIf;
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            # JSON data can also be passed as a path to a .json file
            
            oint ftp DeleteDirectory \
             --conn "{'set':{'advanced_resolve':true,'domain':'172.33.0.11','login':'bayselonarrend','passive':true,'password':'***','port':'21','read_timeout':'120','write_timeout':'120'},'tls':{'accept_invalid_certs':true,'ca_cert_path':'','use_tls':true},'proxy':{'login':'proxyuser','password':'***','port':'1080','proxy_type':'socks5','server':'127.0.0.1'}}" \
             --path "new_dir/another_one"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            :: JSON data can also be passed as a path to a .json file
            
            oint ftp DeleteDirectory ^
             --conn "{'set':{'advanced_resolve':true,'domain':'172.33.0.11','login':'bayselonarrend','passive':true,'password':'***','port':'21','read_timeout':'120','write_timeout':'120'},'tls':{'accept_invalid_certs':true,'ca_cert_path':'','use_tls':true},'proxy':{'login':'proxyuser','password':'***','port':'1080','proxy_type':'socks5','server':'127.0.0.1'}}" ^
             --path "new_dir/another_one"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": true,
 "deleted_objects": [],
 "close_connection": {
  "result": true
 }
}
```
